{{- /*gotype: r00t2.io/subnetter/cmd/subnetter.TableArgs*/ -}}
{{- $opts := . -}}
{{- $numRows := 0 -}}
{{- if not $opts.NoIpv4 }}
	{{- if $opts.Plain }}
IPV4:
	{{- else }}
{{- bold "IPv4:"}}
	{{- end }}
	{{- if $opts.Legacy }}
		{{- if $opts.Plain }}
	LEGACY:
		{{- else }}
	{{ bold "Legacy:" }}
		{{- end }}
	{{ legacy4 "\t" $opts.Plain }}
	{{- end }}

	{{- if not $opts.NoV4Mask }}
		{{- if $opts.Plain }}
	NETMASKS:
		{{- else }}
	{{ bold "Netmasks:" }}
		{{- end }}
	{{ mask4 "\t" $opts.Plain }}
	{{- end }}

	{{- if $opts.Plain }}

	CIDR:
	{{- else }}

	{{ bold "CIDR:" }}
	{{- end }}
	{{ prefixes 4 "\t" $opts.Plain }}

	{{- if $opts.Notes }}
		{{- if $opts.Plain }}

	NOTES:
		{{- else }}

	{{ bold "Notes:" }}
		{{- end }}
	{{ notes 4 "\t" $opts.Plain }}
	{{- end }}
{{- end }}

{{- if not $opts.NoIpv6 }}

{{- if $opts.Plain }}
IPV6:
{{- else }}
{{ bold "IPv6:"}}
{{- end }}
	{{- if $opts.Plain }}
	CIDR:
	{{- else }}
	{{ bold "CIDR:" }}
	{{- end }}
	{{ prefixes 6 "\t" $opts.Plain }}


	{{- if $opts.Notes }}
		{{- if $opts.Plain }}

	NOTES:
		{{- else }}

	{{ bold "Notes:" }}
		{{- end }}
	{{ notes 6 "\t" $opts.Plain }}
	{{- end }}
{{- end }}
