package netsplit

import "errors"

var (
	ErrBadBoundary  error = errors.New("subnet does not align on bit boundary")
	ErrBadNumHosts  error = errors.New("bad number of hosts; cannot split into prefix exactly")
	ErrBadPrefix    error = errors.New("prefix is invalid")
	ErrBadPrefixLen error = errors.New("prefix length exceeds maximum possible for prefix's inet family")
	ErrBadSplitter  error = errors.New("invalid or unknown splitter when containing")
	ErrBigPrefix    error = errors.New("prefix length exceeds remaining network space")
	ErrNoNetSpace   error = errors.New("reached end of network space before splitting finished")
)
